GraphDataItem holds all the information about the graph's data item. When working with a chart, you do not create GraphDataItem objects or change it's properties directly. GraphDataItem is passed to you by events when user interacts with data item on the chart. The list of properties below will help you to extract data item's value/coordinate/etc.

### Properties

Property | Type | Default | Description
--- | --- | --- | ---
alpha | Number |  | Opacity of the data item.
bullet | String |  | Bullet type.
bulletSize | Number |  | Bullet size.
category | String |  | Category value.
color | Color |  | Color of the data item.
customBullet | String |  | Custom bullet (path to file name).
dataContext | Object |  | Original object from data provider.
description | String |  | Description.
fillColors | Array[Color] |  | Array of colors of the data item, used by column and candlestick chart only.
percents | Object |  | Object which holds percents when recalculateToPercents is set to true.
serialDataItem | SerialDataItem |  | SerialDataItem of this graphDataItem
url | String |  | url
values | Object |  | Object which holds values of the data item (value, open, close, low, high).
x | Number |  | x coordinate of the data item.
y | Number |  | y coordinate of the data item.

### Methods

GraphDataItem class does not have any methods.

### Events

GraphDataItem class does not have any events.